Subject: Re: [urn] 2141bis questions - (11) IANA considerations and Interoperability

From: Peter Saint-Andre - &yet <[email-masked]>
Date: Fri, 30 Jan 2015 17:26:32 -0700

On 12/25/14 12:20 AM, John C Klensin wrote:
> Under IANA Considerations - URI Scheme, Section 10.1, the text
> says
>
> 	"Interoperability Considerations:  There are no known
> 	interoperability concerns related to use of the 'urn'
> 	URI scheme."
>
> IMO, this is not strictly true because the whole discussion of
> whether URNs can be (or should be, or are meaningful in) various
> contexts and/or in relative URI form is ultimately about
> interoperability considerations.  One could argue that almost
> everything else that RFC 3986 considers a per-scheme issue and
> that we have made per-NID for URNs falls into the same category.
>
> Should more be said in that line item and, if so, what?

We could either point to the existing Section 5 (URI Conformance) or 
summarize some of that text.

Peter

-- 
Peter Saint-Andre
https://andyet.com/